Bug 20286 - Subscribing to a search via rss goes to an empty page
Summary: Subscribing to a search via rss goes to an empty page
Status: Pushed to Stable
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low major (vote)
Assignee: Jonathan Druart
QA Contact: Julian Maurice
URL:
Whiteboard:
Keywords:
Depends on: 19568
Blocks:
  Show dependency treegraph
 
Reported: 2018-02-23 15:16 UTC by Christophe Croullebois
Modified: 2018-06-21 08:41 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 20286: Correctly escape URI characters in OPAC RSS template (4.96 KB, patch)
2018-02-26 13:50 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 20286: Correctly escape URI characters in OPAC RSS template (4.95 KB, patch)
2018-02-26 14:02 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 20286: Correctly escape URI characters in OPAC RSS template (5.01 KB, patch)
2018-02-26 23:06 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 20286: Fix filter for BakerTaylor* prefs (1.66 KB, patch)
2018-02-27 18:30 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 20286: Correctly escape URI characters in OPAC RSS template (5.07 KB, patch)
2018-03-12 09:56 UTC, Brendan Gallagher
Details | Diff | Splinter Review
Bug 20286: Fix filter for BakerTaylor* prefs (1.72 KB, patch)
2018-03-12 09:56 UTC, Brendan Gallagher
Details | Diff | Splinter Review
Bug 20286: Correctly escape URI characters in OPAC RSS template (5.13 KB, patch)
2018-03-12 11:14 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 20286: Fix filter for BakerTaylor* prefs (1.78 KB, patch)
2018-03-12 11:14 UTC, Julian Maurice
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Christophe Croullebois 2018-02-23 15:16:57 UTC
since 16.11.15

Test plan :
1° in Opac do a search
2° click on rss button and subscribe to this search
3° nothing appears
4° revert the bz 19568
5° redo the steps 1/2/3 its ok

the use of |url is not relevant almost on all lines

Thx
Comment 1 Jonathan Druart 2018-02-26 13:50:29 UTC
Created attachment 72207 [details] [review]
Bug 20286: Correctly escape URI characters in OPAC RSS template

Bug 19568 use the TT filter url whereas it must have escaped the URI
characters with the uri filter.

Test plan:
Subscribe to an OPAC search
=> Without this patch you will get an empty page
=> With this patch applied you will see result list.
Comment 2 Jonathan Druart 2018-02-26 13:51:05 UTC
Upping severity.
Comment 3 Owen Leonard 2018-02-26 14:02:01 UTC
Created attachment 72208 [details] [review]
Bug 20286: Correctly escape URI characters in OPAC RSS template

Bug 19568 use the TT filter url whereas it must have escaped the URI
characters with the uri filter.

Test plan:
Subscribe to an OPAC search
=> Without this patch you will get an empty page
=> With this patch applied you will see result list.
Comment 4 Katrin Fischer 2018-02-26 23:06:56 UTC
Created attachment 72245 [details] [review]
Bug 20286: Correctly escape URI characters in OPAC RSS template

Bug 19568 use the TT filter url whereas it must have escaped the URI
characters with the uri filter.

Test plan:
Subscribe to an OPAC search
=> Without this patch you will get an empty page
=> With this patch applied you will see result list.

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Jonathan Druart 2018-02-27 17:31:37 UTC
<a href="https://[% BakerTaylorBookstoreURL |uri %]

This is wrong.
Comment 6 Jonathan Druart 2018-02-27 18:30:37 UTC
Created attachment 72280 [details] [review]
Bug 20286: Fix filter for BakerTaylor* prefs
Comment 7 Jonathan Druart 2018-02-27 18:31:23 UTC
Can anyone test these patches with BakerTaylor* prefs set correctly?
Comment 8 Brendan Gallagher 2018-03-12 09:19:40 UTC
We have a Baker and Taylor we can test with. (I am on this patch) 


(In reply to Jonathan Druart from comment #7)
> Can anyone test these patches with BakerTaylor* prefs set correctly?
Comment 9 Brendan Gallagher 2018-03-12 09:56:06 UTC
Created attachment 72629 [details] [review]
Bug 20286: Correctly escape URI characters in OPAC RSS template

Bug 19568 use the TT filter url whereas it must have escaped the URI
characters with the uri filter.

Test plan:
Subscribe to an OPAC search
=> Without this patch you will get an empty page
=> With this patch applied you will see result list.

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>

Signed-off-by: Brendan Gallagher <brendan@bywatersolutions.com>
Comment 10 Brendan Gallagher 2018-03-12 09:56:19 UTC
Created attachment 72630 [details] [review]
Bug 20286: Fix filter for BakerTaylor* prefs

Signed-off-by: Brendan Gallagher <brendan@bywatersolutions.com>
Comment 11 Julian Maurice 2018-03-12 11:14:26 UTC
Created attachment 72650 [details] [review]
Bug 20286: Correctly escape URI characters in OPAC RSS template

Bug 19568 use the TT filter url whereas it must have escaped the URI
characters with the uri filter.

Test plan:
Subscribe to an OPAC search
=> Without this patch you will get an empty page
=> With this patch applied you will see result list.

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>

Signed-off-by: Brendan Gallagher <brendan@bywatersolutions.com>
Signed-off-by: Julian Maurice <julian.maurice@biblibre.com>
Comment 12 Julian Maurice 2018-03-12 11:14:30 UTC
Created attachment 72651 [details] [review]
Bug 20286: Fix filter for BakerTaylor* prefs

Signed-off-by: Brendan Gallagher <brendan@bywatersolutions.com>
Signed-off-by: Julian Maurice <julian.maurice@biblibre.com>
Comment 13 Nick Clemens 2018-03-14 09:00:53 UTC
Pushed to master, will be in 18.05
Comment 14 Nick Clemens 2018-04-06 17:51:52 UTC
Awesome work all, backported to stable for 17.11.05
Comment 15 Fridolin SOMERS 2018-04-10 07:07:02 UTC
Pushed to 17.05.x for v17.05.11